Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Cannot open Eclipse Marketplace(Cannot open Eclipse Marketplace)
Cannot open Eclipse Marketplace [message #1793409] Tue, 07 August 2018 17:30 Go to next message
Raju Mising name is currently offline Raju Mising nameFriend
Messages: 9
Registered: July 2016
Junior Member
Hi

getting below error when i open Eclipse Marketplace .
am using proxy. able to access internet Windows->ShowView->Internal Web Browser.
Eclipse version : kepler

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:56)
at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass(InjectorImpl.java:243)
at org.eclipse.e4.core.internal.di.InjectorImpl.invoke(InjectorImpl.java:224)
at org.eclipse.e4.core.contexts.ContextInjectionFactory.invoke(ContextInjectionFactory.java:132)
at org.eclipse.e4.core.commands.internal.HandlerServiceHandler.execute(HandlerServiceHandler.java:167)
at org.eclipse.core.commands.Command.executeWithChecks(Command.java:499)
at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:508)
at org.eclipse.e4.core.commands.internal.HandlerServiceImpl.executeHandler(HandlerServiceImpl.java:213)
at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem.executeItem(HandledContributionItem.java:850)
at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem.handleWidgetSelection(HandledContributionItem.java:743)
at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem.access$7(HandledContributionItem.java:727)
at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem$4.handleEvent(HandledContributionItem.java:662)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4166)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1466)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1489)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1474)
at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1279)
at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4012)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3651)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1113)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:997)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:140)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:611)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:567)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
Caused by: org.eclipse.core.runtime.CoreException: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.equinox.internal.p2.transport.ecf.RepositoryTransport.stream(RepositoryTransport.java:181)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.epp.internal.mpc.core.util.AbstractP2TransportFactory.invokeStream(AbstractP2TransportFactory.java:35)
at org.eclipse.epp.internal.mpc.core.util.TransportFactory$1.stream(TransportFactory.java:69)
at org.eclipse.epp.internal.mpc.core.service.RemoteMarketplaceService.processRequest(RemoteMarketplaceService.java:131)
at org.eclipse.epp.internal.mpc.core.service.RemoteMarketplaceService.processRequest(RemoteMarketplaceService.java:85)
at org.eclipse.epp.internal.mpc.core.service.RemoteMarketplaceService.processRequest(RemoteMarketplaceService.java:72)
at org.eclipse.epp.internal.mpc.core.service.DefaultCatalogService.listCatalogs(DefaultCatalogService.java:36)
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand$5.run(MarketplaceWizardCommand.java:254)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Caused by: java.lang.NullPointerException
at com.sun.security.ntlm.Client.type3(Client.java:161)
at sun.net.www.protocol.http.ntlm.NTLMAuthentication.buildType3Msg(NTLMAuthentication.java:250)
at sun.net.www.protocol.http.ntlm.NTLMAuthentication.setHeaders(NTLMAuthentication.java:225)
at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1661)
at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1492)
at org.eclipse.ecf.provider.filetransfer.retrieve.UrlConnectionRetrieveFileTransfer.getDecompressedStream(UrlConnectionRetrieveFileTransfer.java:542)
at org.eclipse.ecf.provider.filetransfer.retrieve.UrlConnectionRetrieveFileTransfer.openStreams(UrlConnectionRetrieveFileTransfer.java:312)
at org.eclipse.ecf.provider.filetransfer.retrieve.AbstractRetrieveFileTransfer.sendRetrieveRequest(AbstractRetrieveFileTransfer.java:879)
at org.eclipse.ecf.provider.filetransfer.retrieve.AbstractRetrieveFileTransfer.sendRetrieveRequest(AbstractRetrieveFileTransfer.java:570)
at org.eclipse.ecf.provider.filetransfer.retrieve.MultiProtocolRetrieveAdapter.sendRetrieveRequest(MultiProtocolRetrieveAdapter.java:106)
at org.eclipse.equinox.internal.p2.transport.ecf.FileReader.sendRetrieveRequest(FileReader.java:422)
at org.eclipse.equinox.internal.p2.transport.ecf.FileReader.read(FileReader.java:273)
at org.eclipse.equinox.internal.p2.transport.ecf.RepositoryTransport.stream(RepositoryTransport.java:172)
... 12 more


Thanks and Regards.
Raj
Re: Cannot open Eclipse Marketplace [message #1793545 is a reply to message #1793409] Fri, 10 August 2018 01:01 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
me too
Re: Cannot open Eclipse Marketplace [message #1793546 is a reply to message #1793545] Fri, 10 August 2018 02:05 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793547 is a reply to message #1793545] Fri, 10 August 2018 02:05 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793548 is a reply to message #1793545] Fri, 10 August 2018 02:05 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793549 is a reply to message #1793545] Fri, 10 August 2018 02:05 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793550 is a reply to message #1793545] Fri, 10 August 2018 02:05 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793551 is a reply to message #1793545] Fri, 10 August 2018 02:06 Go to previous messageGo to next message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
Both are the result of not finding a repository when we should!
Quote:

!ENTRY org.eclipse.epp.mpc.ui 4 0 2018-08-01 09:19:07.968
!MESSAGE Cannot open Eclipse Marketplace
!STACK 1
org.eclipse.core.runtime.CoreException: Cannot install remote marketplace locations: Unable to read repository at http://marketplace.eclipse.org/catalogs/api/p.
at org.eclipse.epp.internal.mpc.ui.commands.MarketplaceWizardCommand.execute(MarketplaceWizardCommand.java:101)
at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


The Part in big red is the indicator of the problem!!!!
-jeff
I can dignose what is the indicator, in my case EVERY attempt to use the Marketplace ends too soon with that error!!!
-jeff
Re: Cannot open Eclipse Marketplace [message #1793552 is a reply to message #1793551] Fri, 10 August 2018 02:27 Go to previous message
Jeffrey Pound is currently offline Jeffrey PoundFriend
Messages: 11
Registered: July 2018
Junior Member
SO Sorry!
-jeff
Moderator please clean the multiple posts above that are duplicate.
Previous Topic:Download eclipse plugins from update site with out eclipse command line
Next Topic:How to trigger multiple changes via different p2.inf files in eclipse?
Goto Forum:
  


Current Time: Mon Nov 12 17:57:51 GMT 2018

Powered by FUDForum. Page generated in 0.01774 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top